package Rsaves::Constants::Emerald::Natures;

use v5.16.3;

use strict;
use warnings;

our @NATURES = (
    'HARDY',   'LONELY',  'BRAVE',  'ADAMANT', 'NAUGHTY', 'BOLD',
    'DOCILE',  'RELAXED', 'IMPISH', 'LAX',     'TIMID',   'HASTY',
    'SERIOUS', 'JOLLY',   'NAIVE',  'MODEST',  'MILD',    'QUIET',
    'BASHFUL', 'RASH',    'CALM',   'GENTLE',  'SASSY',   'CAREFUL',
    'QUIRKY',
);

our %NATURE_TO_ID;
for (my $i = 0; $i < scalar @NATURES; $i++) {
    my $nature = $NATURES[$i];
    $NATURE_TO_ID{$nature} = $i;
}
1;
