package GEmeTool::DB::Migrations;

use v5.16.3;

use strict;
use warnings;
use utf8;

use feature 'signatures';

sub MIGRATIONS {
    return (
        'CREATE TABLE options (
                name TEXT PRIMARY KEY,
                value TEXT
        );',
        'CREATE TABLE logs (
            uuid TEXT PRIMARY KEY,
            date datetime NOT NULL,
            message TEXT NOT NULL,
            input_file TEXT,
            output_file TEXT,
            backup_input_file TEXT,
            backup_output_file TEXT
        );',
    );
}
1;
